dpkg-statoverride(1)

BEZEICHNUNG
dpkg-statoverride - über Eigentümerschaft und Modus von Dateien hinwegsetzen

ÜBERSICHT
dpkg-statoverride [Option …] Befehl

BESCHREIBUNG
„Stat-Hinwegsetzungen“ sind eine Möglichkeit, dpkg(1) zu berichten, einen anderen Eigentümer oder Modus für eine Pfad zu verwenden, wenn ein Paket installiert wird (dies kann jedes Dateisystemobjekt sein, das dpkg handhabt, darunter Verzeichnisse, Geräte, usw.). Dies kann dazu verwendet werden, Programme, die normalerweise setuid sind, dazu zu zwingen, ohne setuid-Markierung zu installieren, oder nur von einer bestimmten Gruppe ausführbar zu sein.

dpkg-statoverride ist ein Hilfswerkzeug, um die Liste der Status-Hinwegsetzungen zu verwalten. Es hat drei grundlegende Funktionen: Hinzufügen, Entfernen und Auflisten von Hinwegsetzungen.

BEFEHLE

--add Benutzer Gruppe Modus Pfad
    Füge eine Hinwegsetzung für Pfad hinzu. Pfad muss noch nicht existieren wenn dieser Befehl verwendet wird; die Hinwegsetzung wird aufbewahrt und später verwendet. Benutzer und Gruppen können über ihren Namen (beispielsweise root oder nobody) spezifiziert werden, oder über ihre Nummer mit vorangestelltem ‚#’ (beispielsweise #0 oder #65534). Der Modus muss oktal angegeben werden. Falls --update angegeben ist und Pfad existiert, dann wird dieser sofort auf den neuen Eigentümer und Modus eingestellt.

--remove Pfad
    Entfernt eine Hinwegsetzung für Pfad, der Status von Pfad bleibt durch diesen Befehl unverändert.

--list [Glob-Muster]
    Liste alle Hinwegsetzungen auf. Falls ein Glob-Muster spezifiziert wurde, begrenze die Ausgabe auf Hinwegsetzungen, die auf den Glob passen.

--help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

OPTIONEN

--admindir Verzeichnis
    Wechsle das Verzeichnis der dpkg-Datenbank, wo auch die statoverride-Datei gelagert ist. Der Standard ist /var/lib/dpkg.

--force
    Erzwinge eine Aktion, selbst wenn eine Sinn-Überprüfung diese normalerweise verböte. Dies ist notwendig, um sich über eine existierende Hinwegsetzung hinwegzusetzen.

--update
    Versuche den Pfad sofort auf den neuen Eigentümer und neuen Modus zu ändern, falls er existiert.

--quiet
    Sei nicht so ausführlich darüber, was wir machen.

RÜCKGABEWERT

0   Die angeforderte Aktion wurde erfolgreich ausgeführt.

1   Für --list, falls es keine Hinwegsetzungen gab oder keine auf die angegebenen Metazeichen passte.

2   Fataler oder nicht behebbarer Fehler aufgrund ungültiger Befehlszeilenverwendung oder Interaktionen mit dem System, wie Zugriffe auf die Datenbank, Speicherzuweisungen usw.

UMGEBUNG

DPKG_ADMINDIR
    Falls gesetzt und die Option --admindir nicht verwandt wurde, wird dies als Datenverzeichnis von dpkg verwandt.

DATEIEN

/var/lib/dpkg/statoverride
    Datei, die die aktuelle Liste der Hinwegsetzungen auf dem System enthält. Sie befindet sich im pkg-Administrationsverzeichnis, zusammen mit anderen für dpkg wichtigen Dateien, wie status oder available.
    Hinweis: dpkg-statoverride erhält die alte Kopie dieser Datei mit der Endung „-old“ bevor es sie mit einer neuen ersetzt.

SIEHE AUCH
dpkg(1).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.